Bug 1305038 - WARNING: CPU: 0 PID: 132 at drivers/gpu/drm/i915/intel_pm.c:3673 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARNING: CPU: 0 PID: 132 at drivers/gpu/drm/i915/intel_pm.c:3673 skl_update_o...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
: 1298164 1324653 1334869 1340841 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-05 07:20 EST by Paul Fee
Modified: 2016-12-20 13:27 EST (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:27:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Extract from /var/log/messages showing non tainted kernel oops (85.73 KB, text/plain)
2016-02-05 07:20 EST, Paul Fee
no flags Details

  None (edit)
Description Paul Fee 2016-02-05 07:20:19 EST
Created attachment 1121372 [details]
Extract from /var/log/messages showing non tainted kernel oops

Description of problem:
Multiple kernel oops from i915 driver on Intel Skylake system (Dell Precision Tower 3620)


Version-Release number of selected component (if applicable):
$ uname -a
Linux burn 4.3.4-300.fc23.x86_64 #1 SMP Mon Jan 25 13:39:23 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux


How reproducible:
Always.


Steps to Reproduce:
1. Boot computer
2. Log into KDE desktop (F23 KDE spin installed)
3. ABRT may detect error, but kernel is already tainted (GW) due to previous errors, so ABRT problem reporter won't upload bug report.
3. Look at dmesg for first (untainted) oops.

Actual results:
System appears to function correctly despite oops.  Though initial KDE login pauses with a blank screen for a couple of seconds, perhaps while a batch of oops are occurring.


Expected results:
No kernel oops messages should be present in dmesg or /var/log/messages.

Additional info:
dmesg buffer had wrapped around, but /var/log/messages recorded the first non-tainted oops.
Comment 1 Paul Fee 2016-02-05 07:22:08 EST
Last CPU from /proc/cpuinfo

processor       : 7
vendor_id       : GenuineIntel
cpu family      : 6
model           : 94
model name      : Intel(R) Core(TM) i7-6700 CPU @ 3.40GHz
stepping        : 3
microcode       : 0x55
cpu MHz         : 3800.164
cache size      : 8192 KB
physical id     : 0
siblings        : 8
core id         : 3
cpu cores       : 4
apicid          : 7
initial apicid  : 7
fpu             : yes
fpu_exception   : yes
cpuid level     : 22
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx pdpe1gb rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf eagerfpu pni pclmulqdq dtes64 monitor ds_cpl vmx smx est tm2 ssse3 sdbg fma cx16 xtpr pdcm pcid sse4_1 sse4_2 x2apic movbe popcnt tsc_deadline_timer aes xsave avx f16c rdrand lahf_lm abm 3dnowprefetch ida arat epb pln pts dtherm hwp hwp_notify hwp_act_window hwp_epp intel_pt tpr_shadow vnmi flexpriority ept vpid fsgsbase tsc_adjust bmi1 hle avx2 smep bmi2 erms invpcid rtm mpx rdseed adx smap clflushopt xsaveopt xsavec xgetbv1
bugs            :
bogomips        : 6815.91
clflush size    : 64
cache_alignment : 64
address sizes   : 39 bits physical, 48 bits virtual
power management:


Output from "lspci -nn":
[root@burn log]# lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Sky Lake Host Bridge/DRAM Registers [8086:191f] (rev 07)
00:01.0 PCI bridge [0604]: Intel Corporation Sky Lake PCIe Controller (x16) [8086:1901] (rev 07)
00:02.0 VGA compatible controller [0300]: Intel Corporation Sky Lake Integrated Graphics [8086:1912] (rev 06)
00:14.0 USB controller [0c03]: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller [8086:a12f] (rev 31)
00:14.2 Signal processing controller [1180]: Intel Corporation Sunrise Point-H Thermal subsystem [8086:a131] (rev 31)
00:16.0 Communication controller [0780]: Intel Corporation Sunrise Point-H CSME HECI #1 [8086:a13a] (rev 31)
00:17.0 SATA controller [0106]: Intel Corporation Device [8086:a102] (rev 31)
00:1b.0 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Root Port #17 [8086:a167] (rev f1)
00:1c.0 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #1 [8086:a110] (rev f1)
00:1d.0 PCI bridge [0604]: Intel Corporation Sunrise Point-H PCI Express Root Port #9 [8086:a118] (rev f1)
00:1f.0 ISA bridge [0601]: Intel Corporation Sunrise Point-H LPC Controller [8086:a149] (rev 31)
00:1f.2 Memory controller [0580]: Intel Corporation Sunrise Point-H PMC [8086:a121] (rev 31)
00:1f.3 Audio device [0403]: Intel Corporation Sunrise Point-H HD Audio [8086:a170] (rev 31)
00:1f.4 SMBus [0c05]: Intel Corporation Sunrise Point-H SMBus [8086:a123] (rev 31)
00:1f.6 Ethernet controller [0200]: Intel Corporation Ethernet Connection (2) I219-LM [8086:15b7] (rev 31)
02:00.0 Non-Volatile memory controller [0108]: Samsung Electronics Co Ltd Device [144d:a802] (rev 01)
03:00.0 PCI bridge [0604]: Texas Instruments XIO2001 PCI Express-to-PCI Bridge [104c:8240]
05:00.0 Ethernet controller [0200]: Intel Corporation I210 Gigabit Network Connection [8086:1533] (rev 03)
Comment 2 Paul Fee 2016-02-08 07:49:00 EST
The kernel backtrace is generated by a warning, not an oops.

Upstream bug report here: https://bugs.freedesktop.org/show_bug.cgi?id=89055

Comment #23 suggests that fix is in kernel 4.4.
Comment 3 Josh Boyer 2016-02-09 10:06:00 EST
(In reply to Paul Fee from comment #2)
> The kernel backtrace is generated by a warning, not an oops.
> 
> Upstream bug report here: https://bugs.freedesktop.org/show_bug.cgi?id=89055
> 
> Comment #23 suggests that fix is in kernel 4.4.

That fix isn't in 4.4.  It will be in 4.5 and it's CC'd to stable, so the older Fedora releases will eventually get it.
Comment 4 Paul Fee 2016-02-29 04:46:48 EST
Updated my F23 machine to kernel-4.4.2-301.fc23.x86_64.  As expected (thanks to Josh for the info), the "WARN_ON(!wm_changed)" message is still present.
Comment 5 Mike McCune 2016-03-28 18:13:31 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 6 Hans de Goede 2016-05-12 09:25:58 EDT
A quick update on this:

As discussed in the upstream bug, the fixes which went into 4.4 are not enough to silence this warning.

Since this warning is indicative of some real problems we cannot simply disable it. Upstream has a new patch-set which should finally fix this for real. This patch-set did NOT make it into 4.6, so these (mostly harmless) warnings will not be fixed until 4.7.

The upstream patch-set can be found here:
https://patchwork.freedesktop.org/series/5158/
Comment 7 Hans de Goede 2016-05-12 09:30:58 EDT
*** Bug 1334869 has been marked as a duplicate of this bug. ***
Comment 8 Hans de Goede 2016-05-12 09:34:18 EDT
*** Bug 1324653 has been marked as a duplicate of this bug. ***
Comment 9 Hans de Goede 2016-05-12 09:34:47 EDT
*** Bug 1298164 has been marked as a duplicate of this bug. ***
Comment 10 Bas 2016-05-16 05:18:18 EDT
Description of problem:
After rebooting my system this error occured.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.9-300.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.9-300.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 101 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: rtsx_pci_sdmmc mmc_core i915 r8169 mii i2c_algo_bit drm_kms_helper serio_raw rtsx_pci drm video i2c_hid fjes
CPU: 0 PID: 101 Comm: kworker/u8:2 Not tainted 4.4.9-300.fc23.x86_64 #1
Hardware name: Notebook                         N24_25JU/N24_25JU, BIOS 5.11 10/13/2015
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 00000000f0d63cf2 ffff88026774b4b0 ffffffff813b62ee
 ffff88026774b4f8 ffffffffa01d9bf8 ffff88026774b4e8 ffffffff810a4252
 ffff88026774b61c ffff880269fd5000 ffff880269fd4000 0000000000000000
Call Trace:
 [<ffffffff813b62ee>] dump_stack+0x63/0x85
 [<ffffffff810a4252>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a42ec>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0114d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0114fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff8179c755>] ? __schedule+0x3a5/0xa00
 [<ffffffffa01194de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa0181b80>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa017d712>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00521ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00525e7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00b21af>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00b4383>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00b43fd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa019439a>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff814283c0>] fbcon_init+0x570/0x5f0
 [<ffffffff814a9eca>] visual_init+0xca/0x130
 [<ffffffff814abd61>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814ac279>] do_take_over_console+0x149/0x1a0
 [<ffffffff81424227>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81428e38>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c369a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c39d7>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c3a06>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142ea8b>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff81430daf>] register_framebuffer+0x20f/0x350
 [<ffffffffa00b46aa>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa0194e9b>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c510a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc709>] process_one_work+0x159/0x430
 [<ffffffff810bca2e>] worker_thread+0x4e/0x450
 [<ffffffff810bc9e0>] ? process_one_work+0x430/0x430
 [<ffffffff810c27b8>] kthread+0xd8/0xf0
 [<ffffffff810c26e0>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a128f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c26e0>] ? kthread_worker_fn+0x160/0x160
Comment 11 Mike Hinz 2016-05-19 18:18:35 EDT
Description of problem:
Plugged a second monitor on my Lenovo T460 and system completely locked up. 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.4-200.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.4-200.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 219 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core e1000e i2c_algo_bit drm_kms_helper serio_raw drm rtsx_pci ptp pps_core video fjes hid_logitech_dj
CPU: 1 PID: 219 Comm: kworker/1:2 Not tainted 4.5.4-200.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 0000000026d6a07c ffff880601f33940 ffffffff813d135e
 ffff880601f33988 ffffffffa022c7d8 ffff880601f33978 ffffffff810a5e22
 ffff88060233c000 ffff880600b59bd4 ffff88060233d000 ffff880601f39ba8
Call Trace:
 [<ffffffff813d135e>] dump_stack+0x63/0x85
 [<ffffffff810a5e22>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5ebc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa016473c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa01648d6>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffffa01ef6bf>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa016825e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01d2db1>] haswell_crtc_enable+0x321/0x8c0 [i915]
 [<ffffffffa01ce64f>] intel_atomic_commit+0x74f/0x18a0 [i915]
 [<ffffffffa00803c1>] ? drm_atomic_check_only+0x181/0x600 [drm]
 [<ffffffffa0080877>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00d97af>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa007f4fa>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
 [<ffffffffa00db9a3>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00dba1d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00db922>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01e69ae>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00ce717>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00ce917>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810be5ec>] process_one_work+0x15c/0x430
 [<ffffffff810be90e>] worker_thread+0x4e/0x480
 [<ffffffff817c40dc>] ? __schedule+0x3ac/0xa00
 [<ffffffff810be8c0>] ? process_one_work+0x430/0x430
 [<ffffffff810be8c0>] ? process_one_work+0x430/0x430
 [<ffffffff810c4718>] kthread+0xd8/0xf0
 [<ffffffff810c4640>] ? kthread_worker_fn+0x170/0x170
 [<ffffffff817c8c8f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c4640>] ? kthread_worker_fn+0x170/0x170
Comment 12 Harald Welte 2016-05-22 07:55:03 EDT
I can also confirm this bug with a Lenovo X260 with Skylake CPU/chipset:
00:02.0 0300: 8086:1916 (rev 07)

The backtraces are visible even during system boot but seem to cause no harm then.  Lock-up problems systematically appear after adding / changing external monitors attached to either DP or HDMI ports.

I've updated the BIOS to the latest version available (1.19) and updated the intel firmware (/lib/firmware/i915/), both with no change.  Going to test mainline 4.6.0 kernel now.
Comment 13 Mike Hinz 2016-05-23 19:28:05 EDT
Description of problem:
Crashed when starting laptop.  Hung when KDE attempted to start

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.4-200.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.4-200.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 312 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper e1000e drm serio_raw ptp pps_core rtsx_pci video fjes hid_logitech_dj
CPU: 3 PID: 312 Comm: kworker/3:2 Not tainted 4.5.4-200.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 00000000e45077bc ffff880601687940 ffffffff813d135e
 ffff880601687988 ffffffffa02497d8 ffff880601687978 ffffffff810a5e22
 ffff880604dc2000 ffff880600da9bd4 ffff880604dc1000 ffff8806016353a8
Call Trace:
 [<ffffffff813d135e>] dump_stack+0x63/0x85
 [<ffffffff810a5e22>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5ebc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa018173c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa01818d6>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffffa020c6bf>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa018525e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01efdb1>] haswell_crtc_enable+0x321/0x8c0 [i915]
 [<ffffffffa01eb64f>] intel_atomic_commit+0x74f/0x18a0 [i915]
 [<ffffffffa008e3c1>] ? drm_atomic_check_only+0x181/0x600 [drm]
 [<ffffffffa008e877>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa01317af>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa008d4fa>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
 [<ffffffffa01339a3>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa0133a1d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa0133922>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa02039ae>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa0126717>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa0126917>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810be5ec>] process_one_work+0x15c/0x430
 [<ffffffff810be90e>] worker_thread+0x4e/0x480
 [<ffffffff817c40dc>] ? __schedule+0x3ac/0xa00
 [<ffffffff810be8c0>] ? process_one_work+0x430/0x430
 [<ffffffff810be8c0>] ? process_one_work+0x430/0x430
 [<ffffffff810c4718>] kthread+0xd8/0xf0
 [<ffffffff810c4640>] ? kthread_worker_fn+0x170/0x170
 [<ffffffff817c8c8f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c4640>] ? kthread_worker_fn+0x170/0x170
Comment 14 Hans de Goede 2016-05-30 05:32:14 EDT
Unfortunately these patches did not make it into 4.7, this version:
http://www.spinics.net/lists/intel-gfx/msg95595.html

Is in intel-drm-next now:
https://cgit.freedesktop.org/drm-intel/log/?h=drm-intel-next

So this should hopefully really, finally be fixed in 4.8.
Comment 15 Hans de Goede 2016-05-30 07:11:37 EDT
Quick update I've build drm-intel-next and tested it on my own skylake workstation, which has this problem too, and I can confirm that this is fixed (for me) in drm-intel-next.
Comment 16 Hans de Goede 2016-05-30 08:00:56 EDT
*** Bug 1340841 has been marked as a duplicate of this bug. ***
Comment 17 Paulo Fidalgo 2016-05-30 10:40:10 EDT
@Hans de Goede: Maybe we can get a backport in fedora.
Comment 18 Rubén 2016-05-31 08:42:30 EDT
Description of problem:
Simply booting. Nothing special.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.9-300.fc23.x86_64 root=UUID=f5617b5e-55ed-4ac4-9572-307e10fd43d5 ro rootflags=subvol=root rhgb quiet LANG=es_ES.UTF-8
kernel:         4.4.9-300.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1171 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in:
 ccm cmac ip6t_rpfilter rfcomm ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_raw ip6table_security ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_filter ip6_tables iptable_raw arc4 iptable_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle bnep rtsx_usb_sdmmc rtsx_usb_ms mmc_core memstick rtsx_usb intel_rapl iosf_mbi x86_pkg_temp_thermal snd_soc_skl coretemp snd_soc_skl_ipc kvm_intel snd_hda_ext_core snd_soc_sst_ipc snd_soc_sst_dsp snd_soc_core kvm snd_hda_codec_hdmi snd_compress snd_hda_codec_generic snd_pcm_dmaengine ac97_bus dw_dmac_core irqbypass vfat fat ath10k_pci crct10dif_pclmul crc32_pclmul snd_hda_intel ath10k_core
 snd_hda_codec ath snd_hda_core mac80211 snd_hwdep snd_seq snd_seq_device snd_pcm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core cfg80211 v4l2_common videodev snd_timer btusb snd btrtl btbcm btintel soundcore i2c_i801 bluetooth r8169 media mei_me joydev mii mei ideapad_laptop shpchp sparse_keymap rfkill wmi acpi_pad tpm_crb tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc btrfs xor i915 raid6_pq i2c_algo_bit drm_kms_helper crc32c_intel drm serio_raw video fjes
CPU: 1 PID: 1171 Comm: Xorg Not tainted 4.4.9-300.fc23.x86_64 #1
Hardware name: LENOVO 80MX/Lenovo E31-80, BIOS DCCN18WW(V1.05) 08/28/2015
 0000000000000286 000000004311731b ffff880265cc3750 ffffffff813b62ee
 ffff880265cc3798 ffffffffa01b7bf8 ffff880265cc3788 ffffffff810a4252
 ffff880265cc38bc ffff880268070000 ffff880268071000 0000000000000000
Call Trace:
 [<ffffffff813b62ee>] dump_stack+0x63/0x85
 [<ffffffff810a4252>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a42ec>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa00f2d6e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa00f2fd2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffffa013c340>] ? gen9_write8+0x320/0x320 [i915]
 [<ffffffffa00f74de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa015fb80>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa015b712>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa004d1ae>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa004d5e7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00a55d6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
 [<ffffffffa003cb52>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa0040ed2>] drm_mode_setcrtc+0x3d2/0x4f0 [drm]
 [<ffffffffa00325f2>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa0040b00>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
 [<ffffffff81340adc>] ? selinux_file_ioctl+0x10c/0x1c0
 [<ffffffff81241648>] do_vfs_ioctl+0x298/0x480
 [<ffffffff81338393>] ? security_file_ioctl+0x43/0x60
 [<ffffffff812418a9>] SyS_ioctl+0x79/0x90
 [<ffffffff810b334e>] ? SyS_rt_sigprocmask+0x8e/0xc0
 [<ffffffff817a0f2e>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 19 Luc Patiny 2016-05-31 15:09:05 EDT
I have a similar problem after random use of my Intel NUC. I have either this message or worse a random freeze. It is difficult to reproduce however but it looks like Fedora 24 is much more stable than Fedora 23 that was freezing nearly immediately.

[81795.789008] ------------[ cut here ]------------
[81795.789031] WARNING: CPU: 0 PID: 13651 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
[81795.789032] WARN_ON(!wm_changed)
[81795.789033] Modules linked in:
[81795.789035]  rfcomm fuse cmac ccm xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_nat ip6table_security ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 iptable_security iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables bnep vfat fat arc4 snd_hda_codec_hdmi snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_ext_core snd_soc_sst_match snd_hda_codec_realtek snd_soc_core snd_hda_codec_generic iwlmvm snd_compress snd_pcm_dmaengine intel_rapl mac80211 ac97_bus snd_hda_intel x86_pkg_temp_thermal
[81795.789062]  snd_usb_audio coretemp snd_hda_codec kvm_intel snd_hda_core iwlwifi kvm snd_usbmidi_lib snd_hwdep snd_rawmidi cfg80211 snd_seq irqbypass snd_seq_device snd_pcm btusb hci_uart btrtl idma64 btqca btbcm btintel i2c_i801 bluetooth intel_lpss_pci snd_timer joydev snd mei_me ir_lirc_codec lirc_dev soundcore mei shpchp rc_rc6_mce ite_cir rfkill rc_core pinctrl_sunrisepoint pinctrl_intel intel_lpss_acpi acpi_als intel_lpss kfifo_buf industrialio tpm_tis acpi_pad tpm nfsd auth_rpcgss nfs_acl lockd grace hid_logitech_hidpp hid_logitech_dj 8021q garp stp llc mrp i915 crct10dif_pclmul crc32_pclmul crc32c_intel sdhci_pci ghash_clmulni_intel i2c_algo_bit sdhci drm_kms_helper e1000e mmc_core drm ptp nvme pps_core video i2c_hid fjes hid_plantronics sunrpc scsi_transport_iscsi
[81795.789100] CPU: 0 PID: 13651 Comm: Xorg Tainted: G        W       4.5.5-300.fc24.x86_64 #1
[81795.789101] Hardware name:    /NUC6i5SYB, BIOS SYSKLi35.86A.0042.2016.0409.1246 04/09/2016
[81795.789102]  0000000000000286 00000000af63edf6 ffff880457523930 ffffffff813d35af
[81795.789105]  ffff880457523978 ffffffffa02b87f8 ffff880457523968 ffffffff810a5f12
[81795.789107]  ffff88045bcad000 ffff880454a29bd4 ffff88045bcac000 ffff88045523d3a8
[81795.789109] Call Trace:
[81795.789114]  [<ffffffff813d35af>] dump_stack+0x63/0x84
[81795.789117]  [<ffffffff810a5f12>] warn_slowpath_common+0x82/0xc0
[81795.789119]  [<ffffffff810a5fac>] warn_slowpath_fmt+0x5c/0x80
[81795.789135]  [<ffffffffa01ef6ac>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
[81795.789150]  [<ffffffffa01ef83c>] skl_update_wm+0x17c/0x610 [i915]
[81795.789171]  [<ffffffffa027c2bf>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
[81795.789185]  [<ffffffffa01f322e>] intel_update_watermarks+0x1e/0x30 [i915]
[81795.789205]  [<ffffffffa025f592>] haswell_crtc_enable+0x322/0x8d0 [i915]
[81795.789224]  [<ffffffffa025aed6>] intel_atomic_commit+0x776/0x1860 [i915]
[81795.789239]  [<ffffffffa00d1362>] ? drm_atomic_check_only+0x182/0x600 [drm]
[81795.789250]  [<ffffffffa00d1817>] drm_atomic_commit+0x37/0x60 [drm]
[81795.789257]  [<ffffffffa019a26d>] drm_atomic_helper_connector_dpms+0xed/0x1a0 [drm_kms_helper]
[81795.789268]  [<ffffffffa00c6260>] drm_mode_obj_set_property_ioctl+0x240/0x250 [drm]
[81795.789278]  [<ffffffffa00c62af>] drm_mode_connector_property_set_ioctl+0x3f/0x60 [drm]
[81795.789286]  [<ffffffffa00b6712>] drm_ioctl+0x152/0x540 [drm]
[81795.789288]  [<ffffffff81604b60>] ? evdev_read+0xd0/0x2d0
[81795.789297]  [<ffffffffa00c6270>] ? drm_mode_obj_set_property_ioctl+0x250/0x250 [drm]
[81795.789300]  [<ffffffff81256183>] do_vfs_ioctl+0xa3/0x5d0
[81795.789302]  [<ffffffff81256729>] SyS_ioctl+0x79/0x90
[81795.789304]  [<ffffffff810b50d4>] ? SyS_rt_sigprocmask+0x74/0xc0
[81795.789307]  [<ffffffff817cecee>] entry_SYSCALL_64_fastpath+0x12/0x6d
[81795.789309] ---[ end trace 2e5d86116d3e21d9 ]---
Comment 20 Morris Jones 2016-06-13 15:46:03 EDT
Description of problem:
Install Fedora 23 on a Lenovo Flex 3-1480
Update installiation
Boot into Gnome Wayland
Plug in a second monitor
Wait a few seconds

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.6-200.fc23.x86_64 root=/dev/mapper/fedora_midpc-root ro rd.lvm.lv=fedora_midpc/root rd.lvm.lv=fedora_midpc/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.6-200.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 15776 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in:
 rfcomm fuse cmac xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_security ip6table_raw ip6table_mangle ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_filter ip6_tables iptable_security iptable_raw iptable_mangle iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack bnep snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp snd_hda_codec_hdmi snd_hda_ext_core snd_soc_sst_match snd_soc_core snd_hda_codec_generic hid_sensor_accel_3d hid_sensor_trigger hid_sensor_iio_common industrialio_triggered_buffer kfifo_buf industrialio snd_compress snd_pcm_dmaengine
 ac97_bus hid_sensor_hub snd_hda_intel arc4 snd_hda_codec intel_rapl x86_pkg_temp_thermal coretemp snd_hda_core snd_hwdep kvm_intel snd_seq iwlmvm kvm uvcvideo mac80211 snd_seq_device vfat fat i2c_designware_platform i2c_designware_core videobuf2_vmalloc irqbypass videobuf2_memops videobuf2_v4l2 crct10dif_pclmul iwlwifi crc32_pclmul videobuf2_core crc32c_intel videodev ghash_clmulni_intel snd_pcm media cfg80211 snd_timer hci_uart snd mei_me joydev btusb btrtl i2c_i801 soundcore btbcm btqca mei btintel shpchp bluetooth ideapad_laptop sparse_keymap pinctrl_sunrisepoint pinctrl_intel idma64 intel_lpss_pci intel_lpss_acpi rfkill tpm_crb intel_lpss wmi acpi_pad tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 i2c_algo_bit drm_kms_helper 8021q garp stp llc drm mrp
 serio_raw r8169 mii video i2c_hid fjes
CPU: 2 PID: 15776 Comm: gnome-shell Not tainted 4.5.6-200.fc23.x86_64 #1
Hardware name: LENOVO 80R3/Flex 3-1480, BIOS D3CN28WW 12/10/2015
 0000000000000286 000000008fad71a2 ffff88014a4fb918 ffffffff813d09de
 ffff88014a4fb960 ffffffffa01de7f8 ffff88014a4fb950 ffffffff810a5e22
 ffff88003f857000 ffff88003faf9bd4 ffff88003f855000 ffff8802368f43a8
Call Trace:
 [<ffffffff813d09de>] dump_stack+0x63/0x85
 [<ffffffff810a5e22>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5ebc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa011677c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa0116916>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffffa01a193f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa011a29e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa0184dd1>] haswell_crtc_enable+0x321/0x8c0 [i915]
 [<ffffffffa018066f>] intel_atomic_commit+0x74f/0x18a0 [i915]
 [<ffffffffa006f371>] ? drm_atomic_check_only+0x181/0x600 [drm]
 [<ffffffffa006f827>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00e4bc6>] drm_atomic_helper_set_config+0x76/0xb0 [drm_kms_helper]
 [<ffffffffa005ebb2>] drm_mode_set_config_internal+0x62/0x100 [drm]
 [<ffffffffa0063390>] drm_mode_setcrtc+0x3e0/0x500 [drm]
 [<ffffffffa0054772>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffa0062fb0>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
 [<ffffffff81359943>] ? selinux_file_ioctl+0x123/0x1e0
 [<ffffffff812542d1>] do_vfs_ioctl+0xa1/0x5a0
 [<ffffffff81254849>] SyS_ioctl+0x79/0x90
 [<ffffffff817c92ae>] entry_SYSCALL_64_fastpath+0x12/0x71
Comment 21 Morris Jones 2016-06-13 20:10:58 EDT
Description of problem:
Run Xfce on dual displays
Wait a few minutes
Crashes second display
Appears to be in xorg-x11-drv-intel

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.6-200.fc23.x86_64+debug root=/dev/mapper/fedora_midpc-root ro rd.lvm.lv=fedora_midpc/root rd.lvm.lv=fedora_midpc/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.6-200.fc23.x86_64+debug
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 1170 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in:
 rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_broute bridge ebtable_filter ebtable_nat ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_raw ip6table_mangle ip6table_security ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_raw iptable_mangle iptable_security bnep hid_sensor_accel_3d hid_sensor_trigger hid_sensor_iio_common industrialio_triggered_buffer kfifo_buf industrialio hid_sensor_hub i2c_designware_platform i2c_designware_core intel_rapl x86_pkg_temp_thermal coretemp kvm_intel kvm irqbypass arc4 crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel
 vfat iwlmvm fat snd_soc_skl snd_hda_codec_hdmi snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp mac80211 snd_hda_ext_core snd_soc_sst_match snd_hda_codec_generic snd_soc_core joydev uvcvideo videobuf2_vmalloc videobuf2_memops snd_compress snd_pcm_dmaengine iwlwifi wacom videobuf2_v4l2 ac97_bus videobuf2_core videodev snd_hda_intel media cfg80211 snd_hda_codec snd_hda_core i2c_i801 snd_hwdep snd_seq btusb btrtl snd_seq_device snd_pcm idma64 snd_timer mei_me snd mei soundcore shpchp intel_lpss_pci ideapad_laptop sparse_keymap wmi hci_uart btbcm btqca btintel bluetooth pinctrl_sunrisepoint intel_lpss_acpi rfkill pinctrl_intel intel_lpss tpm_crb acpi_pad tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd grace sunrpc hid_multitouch i915 8021q garp stp llc mrp i2c_algo_bit serio_raw drm_kms_helper
 r8169 drm mii video i2c_hid fjes
CPU: 1 PID: 1170 Comm: Xorg Not tainted 4.5.6-200.fc23.x86_64+debug #1
Hardware name: LENOVO 80R3/Flex 3-1480, BIOS D3CN28WW 12/10/2015
 0000000000000286 00000000d754047f ffff8802331b3988 ffffffff8144bb03
 ffff8802331b39d0 ffffffffa01d48d8 ffff8802331b39c0 ffffffff810b1492
 ffff880235029000 ffff880234f5c2ec ffff88023502c000 ffff88003edbc928
Call Trace:
 [<ffffffff8144bb03>] dump_stack+0x85/0xc2
 [<ffffffff810b1492>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810b152c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0105a7c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa0105c16>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffff8110d689>] ? trace_hardirqs_on_caller+0x129/0x1b0
 [<ffffffff8110d71d>] ? trace_hardirqs_on+0xd/0x10
 [<ffffffff818b566c>] ? _raw_spin_unlock_irq+0x2c/0x40
 [<ffffffffa010948e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01762cc>] intel_atomic_commit+0x44c/0x18b0 [i915]
 [<ffffffffa004c9e2>] ? drm_atomic_check_only+0x192/0x620 [drm]
 [<ffffffffa004c1df>] ? drm_atomic_set_crtc_for_connector+0x2f/0xe0 [drm]
 [<ffffffffa004cea7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00c2d99>] drm_atomic_helper_set_config+0x79/0xb0 [drm_kms_helper]
 [<ffffffffa003b5e5>] drm_mode_set_config_internal+0x65/0x110 [drm]
 [<ffffffffa0040166>] drm_mode_setcrtc+0x3c6/0x500 [drm]
 [<ffffffff8122601d>] ? __might_fault+0x4d/0xa0
 [<ffffffffa0030cf2>] drm_ioctl+0x152/0x560 [drm]
 [<ffffffffa003fda0>] ? drm_mode_setplane+0x1b0/0x1b0 [drm]
 [<ffffffff813c79f3>] ? selinux_file_ioctl+0x133/0x1f0
 [<ffffffff812a31d2>] do_vfs_ioctl+0xa2/0x6a0
 [<ffffffff812af992>] ? __fget+0x122/0x200
 [<ffffffff812af875>] ? __fget+0x5/0x200
 [<ffffffff812a3849>] SyS_ioctl+0x79/0x90
 [<ffffffff818b60b2>] entry_SYSCALL_64_fastpath+0x12/0x76
Comment 22 christof.schulze 2016-06-15 07:07:08 EDT
Description of problem:
Working in Libreoffice Impress while loading a big state in Paraview (2-4GB)

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.6-200.fc23.x86_64 root=UUID=3c7651bd-209a-4d1a-8278-1604adf00662 ro rootflags=subvol=@ rd.lvm.lv=vg_data/lvswap rhgb quiet LANG=en_GB.UTF-8
kernel:         4.5.6-200.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 47 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in: btrfs xor raid6_pq i915 e1000e i2c_algo_bit crc32c_intel drm_kms_helper drm serio_raw ptp pps_core video i2c_hid fjes hid_cherry
CPU: 3 PID: 47 Comm: kworker/3:1 Not tainted 4.5.6-200.fc23.x86_64 #1
Hardware name: FUJITSU ESPRIMO_P756/D3401-A1, BIOS V5.0.0.11 R1.13.0 for D3401-A1x                    02/19/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 000000000536783b ffff88080927b940 ffffffff813d09de
 ffff88080927b988 ffffffffa02207f8 ffff88080927b978 ffffffff810a5e22
 ffff8808098be000 ffff880805199bd4 ffff8808098b9000 ffff88080504b3a8
Call Trace:
 [<ffffffff813d09de>] dump_stack+0x63/0x85
 [<ffffffff810a5e22>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5ebc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa015877c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa0158916>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffffa01e393f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa015c29e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01c6dd1>] haswell_crtc_enable+0x321/0x8c0 [i915]
 [<ffffffffa01c266f>] intel_atomic_commit+0x74f/0x18a0 [i915]
 [<ffffffffa006f371>] ? drm_atomic_check_only+0x181/0x600 [drm]
 [<ffffffffa006f827>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00c87af>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa006e4aa>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
 [<ffffffffa00ca9a3>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00caa1d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00ca922>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01da9de>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00bd717>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00bd917>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810be5fc>] process_one_work+0x15c/0x430
 [<ffffffff810be91e>] worker_thread+0x4e/0x480
 [<ffffffff817c4a5c>] ? __schedule+0x3ac/0xa00
 [<ffffffff810be8d0>] ? process_one_work+0x430/0x430
 [<ffffffff810be8d0>] ? process_one_work+0x430/0x430
 [<ffffffff810c4748>] kthread+0xd8/0xf0
 [<ffffffff810c4670>] ? kthread_worker_fn+0x170/0x170
 [<ffffffff817c960f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c4670>] ? kthread_worker_fn+0x170/0x170
Comment 23 Mike Hinz 2016-06-15 10:41:17 EDT
Description of problem:
Booted Lenovo T460 (skylake) laptop and everything was fine.  Plugged in a second monitor via the mini-dvi port.  Whenever I moved the cursor into the 2nd monitor screen, the system locked up hard.  Had to power cycle the laptop to recover.  

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.6-200.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.6-200.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 206 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core e1000e i2c_algo_bit drm_kms_helper drm ptp serio_raw pps_core rtsx_pci video fjes hid_logitech_dj
CPU: 0 PID: 206 Comm: kworker/0:3 Not tainted 4.5.6-200.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 000000001968272f ffff880601f13940 ffffffff813d09de
 ffff880601f13988 ffffffffa02267f8 ffff880601f13978 ffffffff810a5e22
 ffff880603f9a000 ffff880601769bd4 ffff880603f99000 ffff880604d633a8
Call Trace:
 [<ffffffff813d09de>] dump_stack+0x63/0x85
 [<ffffffff810a5e22>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5ebc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa015e77c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa015e916>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffffa01e993f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa016229e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01ccdd1>] haswell_crtc_enable+0x321/0x8c0 [i915]
 [<ffffffffa01c866f>] intel_atomic_commit+0x74f/0x18a0 [i915]
 [<ffffffffa0084371>] ? drm_atomic_check_only+0x181/0x600 [drm]
 [<ffffffffa0084827>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00c47af>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00834aa>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
 [<ffffffffa00c69a3>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00c6a1d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00c6922>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01e09de>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00b9717>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00b9917>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810be5fc>] process_one_work+0x15c/0x430
 [<ffffffff810be91e>] worker_thread+0x4e/0x480
 [<ffffffff817c4a5c>] ? __schedule+0x3ac/0xa00
 [<ffffffff810be8d0>] ? process_one_work+0x430/0x430
 [<ffffffff810be8d0>] ? process_one_work+0x430/0x430
 [<ffffffff810c4748>] kthread+0xd8/0xf0
 [<ffffffff810c4670>] ? kthread_worker_fn+0x170/0x170
 [<ffffffff817c960f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c4670>] ? kthread_worker_fn+0x170/0x170
Comment 24 tonyhannan 2016-06-15 19:51:12 EDT
Description of problem:
After waking up laptop from sleep with external second monitor, second monitor is disabled. I re-enable it in gnome display settings, hit apply, then system freezes when I move the mouse before second monitor refreshes and shows content. I force shutdown by holding power button for 5 seconds. I turn power back on and after I login the system freezes again with just a gray background on both screens, with mouse pointer in middle of laptop screen. I force power down again. Unplug hdmi to external monitor, and unplug external keyboard and mouse USB, and power up again and it works.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.4-301.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.4-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 218 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: 8021q garp stp llc mrp i915 i2c_algo_bit drm_kms_helper drm e1000e serio_raw ptp pps_core video fjes
CPU: 0 PID: 218 Comm: kworker/0:2 Not tainted 4.4.4-301.fc23.x86_64 #1
Hardware name: LENOVO 20F9CTO1WW/20F9CTO1WW, BIOS N1CET38W (1.06 ) 02/03/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 000000000b426253 ffff8802152cf768 ffffffff813b515e
 ffff8802152cf7b0 ffffffffa01f0bf8 ffff8802152cf7a0 ffffffff810a40f2
 ffff8802152cf8d4 ffff8800d5706000 ffff8800d5707000 0000000000000000
Call Trace:
 [<ffffffff813b515e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa012bd5e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa012bfc2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff8179b955>] ? __schedule+0x3a5/0xa00
 [<ffffffffa01304ce>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa0198b50>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa01946e2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00a41be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00a45f7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00fd09f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00ff273>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00ff2ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00ff1f2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01ac05e>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00f2707>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00f2907>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff8179b955>] ? __schedule+0x3a5/0xa00
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a048f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 25 Mike Hinz 2016-06-17 09:21:04 EDT
Description of problem:
Booted T460 Skylake based laptop with 2nd monitor plugged in.  Error occured upon boot.  

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.5.7-200.fc23.x86_64 root=UUID=190c79a6-0a68-4168-82cc-f1c1ac8aeb5b ro rhgb quiet LANG=en_US.UTF-8
kernel:         4.5.7-200.fc23.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 199 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in: hid_logitech_hidpp 8021q garp stp llc mrp i915 rtsx_pci_sdmmc mmc_core e1000e i2c_algo_bit drm_kms_helper drm serio_raw ptp pps_core rtsx_pci video fjes hid_logitech_dj
CPU: 0 PID: 199 Comm: kworker/0:2 Not tainted 4.5.7-200.fc23.x86_64 #1
Hardware name: LENOVO 20FNCTO1WW/20FNCTO1WW, BIOS R06ET33W (1.07 ) 01/05/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 00000000888340d1 ffff88003f807940 ffffffff813d0a9e
 ffff88003f807988 ffffffffa02237f8 ffff88003f807978 ffffffff810a5e22
 ffff88003f8c9000 ffff880600d59bd4 ffff88003f8c8000 ffff880601f523a8
Call Trace:
 [<ffffffff813d0a9e>] dump_stack+0x63/0x85
 [<ffffffff810a5e22>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5ebc>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa015b77c>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa015b916>] skl_update_wm+0x186/0x5f0 [i915]
 [<ffffffffa01e6a5f>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa015f2de>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa01c9e31>] haswell_crtc_enable+0x321/0x8c0 [i915]
 [<ffffffffa01c56bf>] intel_atomic_commit+0x74f/0x18a0 [i915]
 [<ffffffffa0083381>] ? drm_atomic_check_only+0x181/0x600 [drm]
 [<ffffffffa0083837>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00dc7af>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00824aa>] ? drm_modeset_lock_all_ctx+0x9a/0xb0 [drm]
 [<ffffffffa00de993>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00dea0d>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00de912>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa01ddafe>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa00d1717>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa00d1917>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810be5fc>] process_one_work+0x15c/0x430
 [<ffffffff810be91e>] worker_thread+0x4e/0x480
 [<ffffffff817c4b3c>] ? __schedule+0x3ac/0xa00
 [<ffffffff810be8d0>] ? process_one_work+0x430/0x430
 [<ffffffff810be8d0>] ? process_one_work+0x430/0x430
 [<ffffffff810c4748>] kthread+0xd8/0xf0
 [<ffffffff810c4670>] ? kthread_worker_fn+0x170/0x170
 [<ffffffff817c970f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c4670>] ? kthread_worker_fn+0x170/0x170
Comment 26 tonyhannan 2016-06-20 15:56:03 EDT
Description of problem:
Gnome freezes with multiple monitors after waking up or when adjusting display settings.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.6.4
cmdline:        BOOT_IMAGE=/vmlinuz-4.4.4-301.fc23.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=en_US.UTF-8
kernel:         4.4.4-301.fc23.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 99 at drivers/gpu/drm/i915/intel_pm.c:3601 skl_update_other_pipe_wm+0x1de/0x1f0 [i915]()
WARN_ON(!wm_changed)
Modules linked in: 8021q garp stp llc mrp i915 e1000e i2c_algo_bit drm_kms_helper drm ptp serio_raw pps_core video fjes
CPU: 0 PID: 99 Comm: kworker/u16:2 Not tainted 4.4.4-301.fc23.x86_64 #1
Hardware name: LENOVO 20F9CTO1WW/20F9CTO1WW, BIOS N1CET38W (1.06 ) 02/03/2016
Workqueue: events_unbound async_run_entry_fn
 0000000000000286 0000000023c350c3 ffff8802157ff438 ffffffff813b515e
 ffff8802157ff480 ffffffffa01d7bf8 ffff8802157ff470 ffffffff810a40f2
 ffff8802157ff5a4 ffff8800d1a5f000 ffff8800d1a5c000 0000000000000000
Call Trace:
 [<ffffffff813b515e>] dump_stack+0x63/0x85
 [<ffffffff810a40f2>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a418c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa0112d5e>] skl_update_other_pipe_wm+0x1de/0x1f0 [i915]
 [<ffffffffa0112fc2>] skl_update_wm+0x252/0x750 [i915]
 [<ffffffff8179b955>] ? __schedule+0x3a5/0xa00
 [<ffffffffa01174ce>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa017fb50>] haswell_crtc_enable+0x370/0x870 [i915]
 [<ffffffffa017b6e2>] intel_atomic_commit+0x492/0x1420 [i915]
 [<ffffffffa00501be>] ? drm_atomic_check_only+0x18e/0x590 [drm]
 [<ffffffffa00505f7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa00a909f>] restore_fbdev_mode+0x22f/0x260 [drm_kms_helper]
 [<ffffffffa00ab273>] drm_fb_helper_restore_fbdev_mode_unlocked+0x33/0x80 [drm_kms_helper]
 [<ffffffffa00ab2ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa00ab1f2>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa00ab296>] drm_fb_helper_restore_fbdev_mode_unlocked+0x56/0x80 [drm_kms_helper]
 [<ffffffffa00ab2ed>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa01923aa>] intel_fbdev_set_par+0x1a/0x60 [i915]
 [<ffffffff81427140>] fbcon_init+0x570/0x5f0
 [<ffffffff814a8c7a>] visual_init+0xca/0x130
 [<ffffffff814aab11>] do_bind_con_driver+0x1c1/0x3a0
 [<ffffffff814ab029>] do_take_over_console+0x149/0x1a0
 [<ffffffff81422fc7>] do_fbcon_takeover+0x57/0xb0
 [<ffffffff81427bb8>] fbcon_event_notify+0x658/0x750
 [<ffffffff810c352a>] notifier_call_chain+0x4a/0x70
 [<ffffffff810c3867>] __blocking_notifier_call_chain+0x47/0x60
 [<ffffffff810c3896>] blocking_notifier_call_chain+0x16/0x20
 [<ffffffff8142d80b>] fb_notifier_call_chain+0x1b/0x20
 [<ffffffff8142fb2f>] register_framebuffer+0x20f/0x350
 [<ffffffffa00ab59a>] drm_fb_helper_initial_config+0x28a/0x410 [drm_kms_helper]
 [<ffffffffa0192eab>] intel_fbdev_initial_config+0x1b/0x20 [i915]
 [<ffffffff810c4f9a>] async_run_entry_fn+0x4a/0x140
 [<ffffffff810bc596>] process_one_work+0x156/0x430
 [<ffffffff810bc8be>] worker_thread+0x4e/0x450
 [<ffffffff810bc870>] ? process_one_work+0x430/0x430
 [<ffffffff810c2648>] kthread+0xd8/0xf0
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
 [<ffffffff817a048f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c2570>] ? kthread_worker_fn+0x160/0x160
Comment 27 Hans de Goede 2016-06-20 16:40:03 EDT
Hi,

Given the many issues with skylake support which are (hopefully) fixed by the patchset discussed in the bug, I've backported the patchset to 4.6, which should become available as a Fedora update in the next weeks. In the mean time you can grab a test-build with the patches here:

https://fedorapeople.org/~jwrdegoede/kernel-4.6.2-300-bz1305038/

Download the kernel-core and kernel-modules packages from there and then in a dir with those 2 files do:

rpm -ivh kernel*.rpm

And then reboot, and do "uname -a" to check that you're running the new kernel. Hopefully this will fix your problems.

Regards,

Hans
Comment 28 Erik van Pienbroek 2016-06-21 06:42:31 EDT
Hi Hans,

Thanks for the updated kernel. I've been running it for a couple of hours now on a HP Elitebook 850 G3 (Intel HD Graphics 520 (Skylake GT2) (0x1916)) and it seems stable so far. The WARN_ON(!wm_changed) kernel warnings haven't appeared with the new kernel and there are no other display related warnings in dmesg any more.

With older kernels (4.4.x and 4.5.x) I also had frequent complete system freezes (which was also mentioned several times by other users in this BZ). These were already resolved for me by manually installing kernel-4.6.0-1.fc25.

The kernel you built contains both the fixes for the WARN_ON(!wm_changed) and the fixes for the system freezes so that sounds like a winning combination to me.
Comment 29 Mike Hinz 2016-06-27 10:53:50 EDT
Upgraded to Fedora 24 over the weekend and then further updated to the kernel in updates-testing 4.6.3-300.fc24.x86_64.  My Lenovo t460 skylake laptop is now stable, at least over the last 24 hrs.  There have been no crashes and the various graphics problems with video and dual monitors have all been resolved.

Thanks very much for this important fix!
Comment 30 Luc Patiny 2016-06-29 18:07:47 EDT
Thank you for your updated kernel. I'm running it for over 3 days on my Nuc and 2 external momitors and it works perfectly. No more crashes !
Comment 31 Viktor Ashirov 2016-07-10 14:49:09 EDT
Hi,

with 4.6.3-300 I have screen flickering issue: https://bugzilla.redhat.com/show_bug.cgi?id=1354129
Disabling patch 0005-i915-fbc-Disable-on-HSW-by-default-for-now.patch and rebuilding the package, or
enabling frame buffer compression back via kernel module option (enable_fbc=1) solves the problem.
Comment 32 Paul Fee 2016-07-11 08:06:18 EDT
Was running: kernel-4.5.7-202.fc23.x86_64
dmesg was still showing "WARN_ON(!wm_changed)".

Upgraded to Fedora 24
Now running: kernel-4.6.3-300.fc24.x86_64
dmesg no longer shows "WARN_ON(!wm_changed)".

Thanks for fixing.
Comment 33 Aivis 2016-10-22 17:30:17 EDT
Description of problem:
 Booting from Workstation Fedora 24  1.2 installation media on Skylake based Laptop with connected external monitor via HDMI. 

Version-Release number of selected component:
kernel-core-4.5.5-300.fc24

Additional info:
reporter:       libreport-2.7.1
cmdline:        BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=FEDORA-WS-L rd.live.image quiet
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 3 PID: 98 at drivers/gpu/drm/i915/intel_pm.c:3554 skl_update_other_pipe_wm+0x16c/0x180 [i915]()
WARN_ON(!wm_changed)
Modules linked in: arc4 iwlmvm snd_soc_skl snd_soc_skl_ipc snd_soc_sst_ipc snd_soc_sst_dsp mac80211 snd_hda_ext_core snd_soc_sst_match snd_soc_core uvcvideo intel_rapl x86_pkg_temp_thermal snd_compress snd_pcm_dmaengine coretemp videobuf2_vmalloc ac97_bus videobuf2_memops videobuf2_v4l2 videobuf2_core kvm videodev snd_hda_intel snd_hda_codec hp_wmi media sparse_keymap irqbypass snd_hda_core iwlwifi i915 snd_hwdep snd_seq hci_uart btusb btrtl snd_seq_device btbcm btqca btintel snd_pcm cfg80211 bluetooth i2c_algo_bit snd_timer joydev drm_kms_helper snd wmi pinctrl_sunrisepoint rfkill soundcore intel_lpss_acpi drm video pinctrl_intel hp_wireless intel_lpss int3400_thermal processor_thermal_device int340x_thermal_zone tpm_crb acpi_thermal_rel intel_soc_dts_iosf mei_me i2c_i801 shpchp mei
 tpm_tis tpm acpi_pad nfsd auth_rpcgss nfs_acl lockd grace vfat fat squashfs serio_raw crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel uas 8021q garp stp llc mrp usb_storage r8169 mii i2c_hid fjes hid_logitech_hidpp hid_logitech_dj scsi_dh_rdac scsi_dh_emc scsi_dh_alua sunrpc scsi_transport_iscsi loop
CPU: 3 PID: 98 Comm: kworker/3:1 Not tainted 4.5.5-300.fc24.x86_64 #1
Hardware name: HP HP Notebook/81EB, BIOS F.13 07/21/2016
Workqueue: events output_poll_execute [drm_kms_helper]
 0000000000000286 000000000dbd7586 ffff88025fd9b930 ffffffff813d35af
 ffff88025fd9b978 ffffffffa06557f8 ffff88025fd9b968 ffffffff810a5f12
 ffff880260ac3000 ffff8802617b9bd4 ffff880260ac0000 ffff880261c5cba8
Call Trace:
 [<ffffffff813d35af>] dump_stack+0x63/0x84
 [<ffffffff810a5f12>] warn_slowpath_common+0x82/0xc0
 [<ffffffff810a5fac>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffffa058c6ac>] skl_update_other_pipe_wm+0x16c/0x180 [i915]
 [<ffffffffa058c83c>] skl_update_wm+0x17c/0x610 [i915]
 [<ffffffffa06192bf>] ? intel_ddi_enable_transcoder_func+0x17f/0x260 [i915]
 [<ffffffffa059022e>] intel_update_watermarks+0x1e/0x30 [i915]
 [<ffffffffa05fc592>] haswell_crtc_enable+0x322/0x8d0 [i915]
 [<ffffffffa05f7ed6>] intel_atomic_commit+0x776/0x1860 [i915]
 [<ffffffffa028c362>] ? drm_atomic_check_only+0x182/0x600 [drm]
 [<ffffffffa028c817>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffa03097c8>] restore_fbdev_mode+0x238/0x260 [drm_kms_helper]
 [<ffffffffa030b984>] drm_fb_helper_restore_fbdev_mode_unlocked+0x34/0x80 [drm_kms_helper]
 [<ffffffffa030b9fd>] drm_fb_helper_set_par+0x2d/0x50 [drm_kms_helper]
 [<ffffffffa030b902>] drm_fb_helper_hotplug_event+0xd2/0x120 [drm_kms_helper]
 [<ffffffffa061032e>] intel_fbdev_output_poll_changed+0x1e/0x30 [i915]
 [<ffffffffa02fe717>] drm_kms_helper_hotplug_event+0x27/0x30 [drm_kms_helper]
 [<ffffffffa02fe917>] output_poll_execute+0x197/0x1e0 [drm_kms_helper]
 [<ffffffff810be7e4>] process_one_work+0x184/0x440
 [<ffffffff810beaee>] worker_thread+0x4e/0x480
 [<ffffffff810beaa0>] ? process_one_work+0x440/0x440
 [<ffffffff810beaa0>] ? process_one_work+0x440/0x440
 [<ffffffff810c49c8>] kthread+0xd8/0xf0
 [<ffffffff810c48f0>] ? kthread_worker_fn+0x180/0x180
 [<ffffffff817cf03f>] ret_from_fork+0x3f/0x70
 [<ffffffff810c48f0>] ? kthread_worker_fn+0x180/0x180
Comment 34 Fedora End Of Life 2016-11-24 10:24:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 35 Fedora End Of Life 2016-12-20 13:27:43 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.